%global pkg_name        Finance-Currency-Convert-XE
%global pkg_version     0.14
%global rpm_pkg_version 0.14
%global rpm_pkg_release 1.n0i.2

Summary:       Currency conversion module
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic 2.0
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/B/BA/BARBIE/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(WWW::Mechanize)
BuildRequires: perl(HTML::TokeParser)


%description
Currency conversion module using XE.com's Universal Currency Converter site.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_encoding LICENSE README}
%{fix_perl_path examples/}


%build
%{perl_build}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Artistic Changes LICENSE README examples/
%{perl_files}


%changelog
* Thu Nov 01 2007 Marius Feraru <altblue@n0i.net> - 0.14-1.n0i.2
- version 0.14

* Fri Jun 15 2007 Marius Feraru <altblue@n0i.net> - 0.13-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 0.13
